import type { Config } from '~/components/pub/my-ui/data-table'
import { defineAsyncComponent } from 'vue'

const action = defineAsyncComponent(() => import('~/components/pub/my-ui/data/dropdown-action-dud.vue'))
const input = defineAsyncComponent(() => import('~/components/pub/ui/input/Input.vue'))

export const config: Config = {
  cols: [{}, {}, { classVal: '!p-0.5' }, { width: 50 }],

  headers: [
    [
      { label: 'Nama' },
      { label: 'Jenis' },
      { label: 'Catatan' },
      { label: '' },
    ],
  ],

  keys: ['mcuSrc.name', 'mcuSrc.mcuSrcCategory.name', 'note'],

  delKeyNames: [
    { key: 'mcuSrc.name', label: 'Nama' },
  ],

  components: {
    note(rec, idx) {
      return {
        idx,
        rec: rec as object,
        component: input,
      }
    },
    action(rec, idx) {
      return {
        idx,
        rec: rec as object,
        component: action,
      }
    },
  },

  htmls: {},
}
